# Class Sticks

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.Sticks

public class Sticks extends Shape

## Field Summary

Fields
Modifier and Type
Field
Description
`BS`
`bsOrderSet`
`boolean`
`haveStrutPoints`
False here means strut points have not been calculated and need to be reset.
`boolean`
`reportAll`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Sticks()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`checkObjectClicked(int x, int y, int modifiers, BS bsVisible, boolean drawPicking)`
`boolean`
`checkObjectHovered(int x, int y, BS bsVisible)`
`Object`
`getProperty(String property, int index)`
`String`
`getShapeState()`
`void`
`initShape()`
`void`
`setAtomClickability()`
`void`
`setProperty(String propertyName, Object value, BS bs)`
`protected void`
`setSize(int size, BS bsSelected)`
sets the size of a bond, or sets the selectedBonds set

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setModelSet, setModelVisibilityFlags, setProperties, setPropS, setShapeSizeRD, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### reportAll

public boolean reportAll

### haveStrutPoints

public boolean haveStrutPoints
False here means strut points have not been calculated and need to be reset. True may mean that they have been calculated or at least have been reset and are ready for calculation. strut points themselves are stored in Group.

### bsOrderSet

public BS bsOrderSet

## Constructor Details

### Sticks

public Sticks()

## Method Details

### initShape

public void initShape()

Specified by:
  `initShape` in class `Shape`

### setSize

protected void setSize(int size, BS bsSelected)
sets the size of a bond, or sets the selectedBonds set

Overrides:
  `setSize` in class `Shape`
Parameters:
  `size` -
  `bsSelected` -

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### getProperty

public Object getProperty(String property, int index)

Overrides:
  `getProperty` in class `Shape`
Parameters:
  `property` -
  `index` -
Returns:
  true if serviced

### setAtomClickability

public void setAtomClickability()

Overrides:
  `setAtomClickability` in class `Shape`

### getShapeState

public String getShapeState()

Specified by:
  `getShapeState` in class `Shape`

### checkObjectHovered

public boolean checkObjectHovered(int x, int y, BS bsVisible)

Overrides:
  `checkObjectHovered` in class `Shape`
Parameters:
  `x` -
  `y` -
  `bsVisible` -
Returns:
  T/F

### checkObjectClicked

public Map<String,Object> checkObjectClicked(int x, int y, int modifiers, BS bsVisible, boolean drawPicking)

Overrides:
  `checkObjectClicked` in class `Shape`
Parameters:
  `x` -
  `y` -
  `modifiers` -
  `bsVisible` -
  `drawPicking` - TODO
Returns:
  Hashtable containing information about pt clicked